package studio.halbear.hem.procedures;

import studio.halbear.hem.HemMod;

import net.minecraft.entity.Entity;

import java.util.Map;

public class FluffaloShavedOnInitialEntitySpawnProcedure {

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				HemMod.LOGGER.warn("Failed to load dependency entity for procedure FluffaloShavedOnInitialEntitySpawn!");
			return;
		}
		Entity entity = (Entity) dependencies.get("entity");
		entity.getPersistentData().putDouble("GrowthTicks", (2000 + 2000 * Math.random()));
	}
}
